# PetscOptionsEnum

Gets the enum value for a particular option in the database.

### Synopsis

    #include "petsc.h"
    PetscErrorCode  PetscOptionsEnum(const char opt[],const char text[],const char man[],const char **list,PetscEnum defaultv,PetscEnum *value,PetscTruth *set)

Collective on the communicator passed in PetscOptionsBegin()

### Input Parameters

| opt | - option name
| text | - short string that describes the option
| man | - manual page with additional information on option
| list | - array containing the list of choices, followed by the enum name, followed by the enum prefix, followed by a null
| defaultv | - the default (current) value

### Output Parameter

| value | - the value to return
| flg | - PETSC_TRUE if found, else PETSC_FALSE

Notes: Must be between a PetscOptionsBegin() and a PetscOptionsEnd()

list is usually something like PCASMTypes or some other predefined list of enum names

### See Also

PetscOptionsGetReal(), PetscOptionsHasName(), PetscOptionsGetString(), PetscOptionsGetInt(),
PetscOptionsGetIntArray(), PetscOptionsGetRealArray(), PetscOptionsTruth() PetscOptionsInt(), PetscOptionsString(), PetscOptionsReal(), PetscOptionsTruth(), PetscOptionsName(), PetscOptionsBegin(), PetscOptionsEnd(), PetscOptionsHead(), PetscOptionsStringArray(),PetscOptionsRealArray(), PetscOptionsScalar(), PetscOptionsTruthGroupBegin(), PetscOptionsTruthGroup(), PetscOptionsTruthGroupEnd(), PetscOptionsList(), PetscOptionsEList()

Level:beginner
Location:src/sys/objects/aoptions.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages